#include <stdio.h>

int main(){
	char s[20001];
	scanf("%s", s);
	int q;
	scanf("%d\n", &q);
	int l, r, k;
	for (int i=0; i<q; ++i){
		scanf("%d %d\n", &l, &r);
		k=1;
		for (int j=l; j<r; ++j)
			k+=(s[j-1]>s[j]);
		printf("%d\n", k);
	}
	return 0;
}